probe::nfs.aop.readpage
Prev | Chapter 31. Network File Storage Tapsets | Next

## Name

probe::nfs.aop.readpage — NFS client synchronously reading a page

## Synopsis

    nfs.aop.readpage

## Values

`i_size`

  file length in bytes

`page_index`

  offset within mapping, can used a page identifier and position identifier in the page frame

`rsize`

  read size (in bytes)

`file`

  file argument

`size`

  number of pages to be read in this execution

`__page`

  the address of page

`ino`

  inode number

`sb_flag`

  super block flags

`i_flag`

  file flags

`dev`

  device identifier

## Description

Read the page over, only fires when a previous async read operation failed

Prev | Up | Next
probe::nfs.aop.readahead | Home | probe::nfs.aop.readpages